Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.event
Class DefaultSignalManager.SignalAction

    java.lang.Object
      org.jbpm.process.instance.event.DefaultSignalManager.SignalAction

All Implemented Interfaces:
  Externalizable, Serializable, org.drools.core.common.WorkingMemoryAction

Enclosing class:
  DefaultSignalManager

    public static class DefaultSignalManager.SignalAction

extends Object
implements org.drools.core.common.WorkingMemoryAction

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.drools.core.common.WorkingMemoryAction
`DeactivateCallback, LogicalRetractCallback, PropagateAction, SignalAction, SignalProcessInstanceAction, WorkingMemoryBehahviourRetract, WorkingMemoryReteAssertAction, WorkingMemoryReteExpireAction`

Constructor Summary
`DefaultSignalManager.SignalAction(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
`DefaultSignalManager.SignalAction(String type, Object event)`

Method Summary
`void` | `execute(org.drools.core.common.InternalKnowledgeRuntime kruntime)`
`void` | `execute(org.drools.core.common.InternalWorkingMemory workingMemory)`
`void` | `readExternal(ObjectInput in)`
`org.drools.core.marshalling.impl.ProtobufMessages.ActionQueue.Action` | `serialize(org.drools.core.marshalling.impl.MarshallerWriteContext context)`
`void` | `write(org.drools.core.marshalling.impl.MarshallerWriteContext context)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSignalManager.SignalAction

    public DefaultSignalManager.SignalAction(String type,
                                             Object event)

### DefaultSignalManager.SignalAction

    public DefaultSignalManager.SignalAction(org.drools.core.marshalling.impl.MarshallerReaderContext context)
                                      throws IOException,
                                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

Method Detail

### execute

    public void execute(org.drools.core.common.InternalWorkingMemory workingMemory)

  Specified by:
    `execute` in interface `org.drools.core.common.WorkingMemoryAction`

### execute

    public void execute(org.drools.core.common.InternalKnowledgeRuntime kruntime)

  Specified by:
    `execute` in interface `org.drools.core.common.WorkingMemoryAction`

### write

    public void write(org.drools.core.marshalling.impl.MarshallerWriteContext context)
               throws IOException

  Specified by:
    `write` in interface `org.drools.core.common.WorkingMemoryAction`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### serialize

    public org.drools.core.marshalling.impl.ProtobufMessages.ActionQueue.Action serialize(org.drools.core.marshalling.impl.MarshallerWriteContext context)
                                                                                   throws IOException

  Specified by:
    `serialize` in interface `org.drools.core.common.WorkingMemoryAction`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.